event_buffer_new
event_buffer_read
Libevent Functions
PHP Manual

# event_buffer_priority_set

Assign a priority to a buffered event

### Description

bool event_buffer_priority_set ( resource `$bevent` , int `$priority` )

Assign a priority to the `bevent`.

### Parameters

`bevent`

  Valid buffered event resource.

`priority`

  Priority level. Cannot be less than zero and cannot exceed maximum priority level of the event base (see event_base_priority_init).

### Return Values

event_buffer_priority_set returns `TRUE` on success or `FALSE` on error.